LSBLK(8)

NUME
lsblk - listează dispozitivele bloc

REZUMAT

lsblk [opțiuni] [dispozitiv...]

DESCRIERE

lsblk listează informații despre toate dispozitivele de bloc disponibile sau despre cele specificate. Comanda lsblk citește sistemul de fișiere sysfs și db udev pentru a aduna informații. În cazul în care db udev nu este disponibilă sau lsblk este compilată fără suport udev, atunci încearcă să citească ETICHETELE, UUID-urile și tipurile de sisteme de fișiere de pe dispozitivul bloc. În acest caz, sunt necesare permisiuni de root.

În mod implicit, comanda va afișa toate dispozitivele bloc (cu excepția discurilor RAM) într-un format arborescent. Același dispozitiv poate fi repetat în arbore dacă are legătură cu alte dispozitive. Opțiunea --merge este recomandată pentru configurații mai complicate pentru a aduna grupuri de dispozitive și a descrie relații complexe N:M.

Ieșirea de tip arbore (sau matricea children[] în ieșirea JSON) este activată numai dacă coloana NAME este prezentă în ieșire sau dacă se utilizează opțiunea de linie de comandă --tree. A se vedea, de asemenea, opțiunile --nodeps și --list pentru a controla formatarea arborelui.

Ieșirea implicită, precum și ieșirea implicită din opțiuni precum --fs și --topologie, poate fi modificată. Așadar, ori de câte ori este posibil, ar trebui să evitați să utilizați ieșirile implicite în scripturile dumneavoastră. Definiți întotdeauna în mod explicit coloanele așteptate folosind --output listă-coloane și --list în mediile în care este necesară o ieșire stabilă.

Utilizați lsblk --list-columns pentru a obține o listă cu toate coloanele disponibile.

Rețineți că lsblk poate fi executată în momentul în care udev nu are încă toate informațiile despre dispozitivele adăugate sau modificate recent. În acest caz, se recomandă să se utilizeze udevadm settle înainte de lsblk pentru a se sincroniza cu udev.

Relația dintre dispozitivele de bloc și sistemele de fișiere nu este întotdeauna unu la unu. Sistemul de fișiere poate utiliza mai multe dispozitive de blocare sau același sistem de fișiere poate fi accesibil prin mai multe rute. Acesta este motivul pentru care lsblk oferă coloanele MOUNTPOINT și MOUNTPOINTS (pl.). Coloana MOUNTPOINT afișează un singur punct de montare (de obicei, ultima instanță montată a sistemului de fișiere), iar coloana MOUNTPOINTS afișează prin celule cu mai multe rânduri toate punctele de montare asociate cu dispozitivul.

OPȚIUNI

-A, --noempty
    Nu afișează dispozitivele goale.

-a, --all
    Dezactivează toate filtrele încorporate și listează toate dispozitivele goale, precum și dispozitivele de disc RAM.

-b, --bytes
    Afișează dimensiunile în octeți, mai degrabă decât într-un format ușor de citit de către om.

    În mod implicit, unitatea în care sunt exprimate mărimile este octetul, iar prefixele unităților sunt exprimate în putere de 2^10 (1024). Abrevierile simbolurilor sunt prezentate trunchiat pentru a se obține o mai bună lizibilitate, prin prezentarea doar a primei litere a acestora; exemple: „1 KiB [en]/ 1 Kio [ro]” și „1 MiB [en] / 1 Mio [ro]" se expun ca "1 K" și respectiv "1 M", omițându-se intenționat mențiunea „iB”, care face parte din aceste abrevieri.

-H, --list-columns
    Listează coloanele disponibile, se utilizează cu --json sau --raw pentru a obține o ieșire în format care poate fi citit de către mașină.

-D, --discard
    Afișează informații despre capacitățile de eliminare a discurilor (TRIM, UNMAP) pentru fiecare dispozitiv.

-d, --nodeps
    Nu afișează dispozitivele purtătoare(partiția extinsă) sau dispozitivele secundare. De exemplu, lsblk --nodeps /dev/sda afișează numai informații despre dispozitivul sda.

-E, --dedup coloana
    Utilizează coloana ca o cheie de de-duplicare pentru a de-duplica arborele de ieșire. Dacă cheia nu este disponibilă pentru dispozitiv sau dacă dispozitivul este o partiție, iar dispozitivul parental de tip „whole-disk” (întregul-disc) oferă aceeași cheie, atunci dispozitivul este întotdeauna afișat.

    Cazul obișnuit de utilizare este acela de a elimina duplicarea ieșirii pe dispozitive cu mai multe rute de sistem, de exemplu prin -E WWN.

-e, --exclude listă
    Exclude dispozitivele specificate de lista de numere de dispozitive majore separate prin virgule. Rețineți că discurile RAM (major=1) sunt excluse în mod implicit dacă nu se specifică --all. Filtrul se aplică numai dispozitivelor de nivel superior. Acest lucru poate fi derutant pentru formatul de ieșire --list în care ierarhia dispozitivelor nu este evidentă.

-f, --fs
    Afișează informații despre sistemele de fișiere. Această opțiune este echivalentă cu -o NAME,FSTYPE,FSVER,LABEL,UUID,FSAVAIL,FSUSE%,MOUNTPOINTS. Informațiile autorizate despre sistemele de fișiere și RAID-uri sunt furnizate de comanda blkid(8).

--hyperlink[=mod]
    Imprimă traseele punctelor de montare ca hiperlegături de terminal. Argumentul mod poate fi definit la „always” (întotdeauna), „never” (niciodată) sau „auto”. Argumentul opțional când poate fi definit la „auto”, „never” sau „always”. Dacă argumentul când este omis, se va utiliza în mod implicit „auto”. Valoarea „auto” înseamnă că hiperlegăturile vor fi utilizate numai dacă ieșirea este pe un terminal.

-I, --include listă
    Include dispozitivele specificate de lista de numere de dispozitive majore separate prin virgule. Filtrul se aplică numai la dispozitivele de nivel superior. Acest lucru poate fi derutant pentru formatul de ieșire --list în care ierarhia dispozitivelor nu este evidentă.

-i, --ascii
    Utilizează caractere ASCII pentru formatarea arborelui.

-J, --json
    Utilizează formatul de ieșire JSON. Se recomandă cu tărie utilizarea opțiunii --output și, de asemenea, a opțiunii*--tree*, dacă este necesar. Rețineți că children[] este utilizată numai în cazul în care se utilizează coloana NAME sau --tree.

-l, --list
    Produce o ieșire sub forma unei liste. Ieșirea nu oferă informații despre relațiile dintre dispozitive și, începând cu versiunea 2.34, fiecare dispozitiv este afișat o singură dată dacă nu se specifică --pairs sau --raw (ieșirile analizabile sunt menținute în mod de compatibilitate retroactivă).

-M, --merge
    Grupează părinții subarborelor pentru a oferi o ieșire mai ușor de citit pentru dispozitivele RAID și Multi-path. Este necesară o ieșire de tip arbore.

-m, --perms
    Afișează informații despre proprietarul, grupul și modul dispozitivului. Această opțiune este echivalentă cu -o NAME,SIZE,OWNER,GROUP,MODE.

-N, --nvme
    Afișează informații numai despre dispozitivele NVMe.

-v, --virtio
    Afișează informații numai despre dispozitivele VirtIO.

-n, --noheadings
    Nu imprimă o linie de antet.

-o, --output listă
    Specifică ce coloane de ieșire se vor imprima. Utilizați opțiunea --list-columns pentru a obține o listă cu toate coloanele acceptate. Coloanele pot afecta ieșirea de tip arbore. În mod implicit, se utilizează o structură arborescentă pentru coloana "„NAME” (a se vedea, de asemenea, opțiunea --tree).

    Lista implicită de coloane poate fi extinsă dacă lista este specificată în formatul +listă (de exemplu, lsblk -o +UUID).

-O, --output-all
    Afișează toate coloanele disponibile.

-P, --pairs
    Produce ieșirea sub formă de perechi cheie=„valoare”. Liniile de ieșire sunt în continuare ordonate în funcție de dependențe. Toate caracterele potențial nesigure ale valorilor sunt eludate în format hexazecimal (\x<code>). A se vedea, de asemenea, opțiunea --shell.

-p, --paths
    Afișează rutele complete ale dispozitivelor.

-Q, --filter expresia
    Afișează numai dispozitivele care îndeplinesc condițiile specificate de expresie. Filtrul este evaluat înainte ca «lsblk» să colecteze date pentru toate coloanele de ieșire. Numai datele necesare pentru evaluarea leneșă a expresiei sunt preluate din sistem. Această abordare poate îmbunătăți performanța în comparație cu post-filtrarea, așa cum se face în mod obișnuit cu instrumente precum grep(1).

    Această caracteristică este EXPERIMENTALĂ. A se vedea, de asemenea, scols-filter(5). De exemplu, exclude sda și sdb, dar afișează toate celelalte ('!~' este un operator de potrivire a expresiilor regulate negative):

        lsblk --filter 'NAME !~ "sd[ab]"'

--highlight expresia
    Colorează liniile care corespund expresiei. Această funcție este EXPERIMENTALĂ. A se vedea, de asemenea, scols-filter(5).

--ct nume [: parametru [: funcție ]]
    Definește un contor personalizat. Contoarele sunt afișate după ieșirea standard. nume este numele personalizat al contorului, opționalul parametru este numele coloanei care urmează să fie utilizată pentru contor, iar opționalul funcție specifică funcția de agregare, funcțiile acceptate fiind: count, min, max sau sum. Valoarea implicită este count.

    Dacă parametru nu este specificat, atunci contorul numără numărul de linii. Această caracteristică este EXPERIMENTALĂ. A se vedea, de asemenea, opțiunea --ct-filter.

    De exemplu, --ct MyCounter:SIZE:sum va număra rezumatul pentru SIZE de pe toate liniile; și pentru a număra numărul de discuri SATA, este posibil să se folosească:

        lsblk --ct-filter 'TYPE=="disk" && TRAN=="sata"' --ct "Numărul de dispozitive SATA"

--ct-filter expresia
    Definește o restricție pentru următorul contor. Această funcție este EXPERIMENTALĂ. A se vedea, de asemenea, --ct și scols-filter(5). De exemplu, agregarea dimensiunilor în funcție de tipul de dispozitiv:

        lsblk --ct-filter 'TYPE=="part"' --ct Partitions:SIZE:sum \
              --ct-filter 'TYPE=="disk"' --ct WholeDisks:SIZE:sum

-r, --raw
    Produce ieșirea în format brut. Liniile de ieșire sunt în continuare ordonate în funcție de dependențe. Toate caracterele potențial nesigure sunt eludate în format hexazecimal (\x<cod>) în coloanele NAME, KNAME, LABEL, PARTLABEL și MOUNTPOINT.

-S, --scsi
    Afișează informații numai despre dispozitivele SCSI. Toate partițiile, dispozitivele secundare și dispozitivele purtătoare sunt ignorate.

-s, --inverse
    Afișează dependențele în ordine inversă. Dacă se solicită ieșirea --list, atunci liniile sunt în continuare ordonate în funcție de dependențe.

-T, --tree[=coloana]
    Forțează un format de ieșire de tip arborescent. Dacă se specifică coloana, atunci se afișează un arbore în coloana respectivă. Valoarea implicită este coloana NAME.

-t, --topology
    Afișează informații despre topologia blocului de dispozitive. Această opțiune este echivalentă cu

    -o NAME,ALIGNMENT,MIN-IO,OPT-IO,PHY-SEC,LOG-SEC,ROTA,SCHED,RQ-SIZE,RA,WSAME.

-w, --width număr
    Specifică lățimea de ieșire ca număr de caractere. Valoarea implicită este numărul de coloane ale terminalului, iar dacă nu este executată pe un terminal, atunci lățimea de ieșire nu este restricționată deloc în mod implicit. Această opțiune forțează, de asemenea, lsblk să presupună că nu sunt permise caracterele de control de terminal și caracterele nesigure. Cazul de utilizare preconizat este, de exemplu, atunci când lsblk este utilizat de comanda watch(1).

-x, --sort coloana
    Sortează liniile de ieșire după coloană. Această opțiune activează în mod implicit formatul de ieșire --listă. Este posibil să se utilizeze opțiunea --tree pentru a forța ieșirea sub formă de arbore, iar ramurile arborelui sunt sortate după coloană.

-y, --shell
    Numele coloanei va fi modificat pentru a conține numai caracterele permise pentru identificatorii variabilelor de shell, de exemplu, MIN_IO și FSUSE_PCT în loc de MIN-IO și FSUSE%. Acest lucru este utilizabil, de exemplu, cu --pairs. Rețineți că această caracteristică a fost activată automat pentru --pairs în versiunea 2.37, dar, din cauza unor probleme de compatibilitate, acum este necesar să solicitați acest comportament prin --shell.

-z, --zoned
    Afișează informațiile legate de zonă pentru fiecare dispozitiv.

--sysroot director
    Adună date pentru o instanță Linux, alta decât cea de la care este emisă comanda lsblk. Directorul specificat este rădăcina de sistem a instanței Linux care urmează să fie inspectată. Nodurile de dispozitive reale din directorul țintă pot fi înlocuite de fișiere text cu atribute udev.

--properties-by listă
    Această opțiune specifică metodele utilizate de lsblk pentru a colecta informații despre sistemele de fișiere și tabelele de partiții. Lista este o listă de nume de metode separate prin virgule. Preconfigurarea implicită este „file,udev,blkid”. Metodele acceptate sunt:

    udev
        Citește datele din BD udev. Dacă nu reușește, trece la următoarea metodă de sondare.

    blkid
        Citește datele direct de pe dispozitiv utilizând libblkid. Dacă nu reușește, trece la următoarea metodă de sondare.

    file
        Citește date dintr-un fișier „file”. Această metodă este utilizată numai dacă este specificată opțiunea „--sysroot”. Această metodă oprește întotdeauna sondarea dacă este utilizată.

    none
        Nu efectuează sondarea. Această metodă oprește întotdeauna sondarea.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

STARE DE IEȘIRE

0
    succes

1
    eșec

32
    niciunul dintre dispozitivele specificate nu a fost găsit

64
    unele dispozitive specificate au fost găsite, altele nu au fost găsite

MEDIU

LSBLK_DEBUG=all
    activează ieșirea de depanare a lsblk.

LIBBLKID_DEBUG=all
    activează ieșirea de depanare a libblkid.

LIBMOUNT_DEBUG=all
    activează ieșirea de depanare a libmount.

LIBSMARTCOLS_DEBUG=all
    activează ieșirea de depanare a libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    utilizează caractere de umplutură vizibile.

NOTE

În cazul partițiilor, unele informații (de exemplu, atributele cozii) sunt moștenite de la dispozitivul părinte.

Comanda lsblk trebuie să fie capabilă să caute fiecare dispozitiv de bloc după numerele major:minor, ceea ce se face folosind /sys/dev/block. Acest director de blocuri sysfs a apărut în nucleul 2.6.27 (octombrie 2008). În cazul în care apar probleme cu un nucleu suficient de nou, verificați dacă opțiunea CONFIG_SYSFS a fost activată în momentul compilării nucleului.

AUTORI

CONSULTAȚI ȘI

blkid(8), findmnt(8) ls(1), scols-filter(5)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda lsblk face parte din pachetul util-linux care poate fi descărcat de la